﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Net.Mail;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.UI.Xaml.Grid.Helpers;

namespace CellStyle_SfDataGrid
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            this.InitializeComponent();
            this.dataGrid.CurrentCellActivated += DataGrid_CurrentCellActivated;
        }

        private void DataGrid_CurrentCellActivated(object sender, CurrentCellActivatedEventArgs args)
        {
            var grid = sender as SfDataGrid;
            //getting GridCell
            var cell = (grid.SelectionController.CurrentCellManager.CurrentCell.Renderer as GridCellRendererBase).CurrentCellElement;
            if (cell != null)
            {
                var vm = cell.DataContext as OrderInfo;
                //assigned columnindex to the index property in OrderInfo 
                vm.DataIndex = args.CurrentRowColumnIndex.ColumnIndex;
                //updates the current row index
                grid.UpdateDataRow(args.CurrentRowColumnIndex.RowIndex);
            }
        }
    }
}
